package com.goer.project.model.dataType.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.goer.framework.aspectj.lang.annotation.Excel;
import com.goer.framework.web.domain.BaseEntity;

/**
 * 数据类型对象 m_data_type
 * 
 * @author goer
 * @date 2022-01-17
 */
public class DataType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 模型对象ID */
    @Excel(name = "模型对象ID")
    private Long projectId;

    /** 数据类型名称 */
    @Excel(name = "数据类型名称")
    private String dataTypeName;

    /** 数据类型代码 */
    @Excel(name = "数据类型代码")
    private String dataTypeCode;

    /** MYSQL */
    @Excel(name = "MYSQL")
    private String mysqlCode;

    /** ORACLE */
    @Excel(name = "ORACLE")
    private String oracleCode;

    /** SQLServer */
    @Excel(name = "SQLServer")
    private String sqlserverCode;

    /** PostgreSQL */
    @Excel(name = "PostgreSQL")
    private String postgresqlCode;

    /** JAVA */
    @Excel(name = "JAVA")
    private String javaCode;

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 版本id */
    @Excel(name = "版本id")
    private Long versionId;
    /** 顺序 */
    @Excel(name = "顺序")
    private Integer dataSort;

    public void setId(Long id)
    {
        this.id = id;
    }
    public Long getId()
    {
        return id;
    }

    public void setProjectId(Long projectId)
    {
        this.projectId = projectId;
    }
    public Long getProjectId()
    {
        return projectId;
    }

    public void setDataTypeName(String dataTypeName)
    {
        this.dataTypeName = dataTypeName;
    }
    public String getDataTypeName()
    {
        return dataTypeName;
    }

    public void setDataTypeCode(String dataTypeCode)
    {
        this.dataTypeCode = dataTypeCode;
    }
    public String getDataTypeCode()
    {
        return dataTypeCode;
    }

    public void setMysqlCode(String mysqlCode)
    {
        this.mysqlCode = mysqlCode;
    }
    public String getMysqlCode()
    {
        return mysqlCode;
    }

    public void setOracleCode(String oracleCode)
    {
        this.oracleCode = oracleCode;
    }
    public String getOracleCode()
    {
        return oracleCode;
    }

    public void setSqlserverCode(String sqlserverCode)
    {
        this.sqlserverCode = sqlserverCode;
    }
    public String getSqlserverCode()
    {
        return sqlserverCode;
    }

    public void setPostgresqlCode(String postgresqlCode)
    {
        this.postgresqlCode = postgresqlCode;
    }
    public String getPostgresqlCode()
    {
        return postgresqlCode;
    }

    public void setJavaCode(String javaCode)
    {
        this.javaCode = javaCode;
    }
    public String getJavaCode()
    {
        return javaCode;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }
    public String getStatus()
    {
        return status;
    }

    public void setVersionId(Long versionId)
    {
        this.versionId = versionId;
    }
    public Long getVersionId()
    {
        return versionId;
    }

    public void setDataSort(Integer dataSort)
    {
        this.dataSort = dataSort;
    }
    public Integer getDataSort()
    {
        return dataSort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("dataTypeName", getDataTypeName())
            .append("dataTypeCode", getDataTypeCode())
            .append("mysqlCode", getMysqlCode())
            .append("oracleCode", getOracleCode())
            .append("sqlserverCode", getSqlserverCode())
            .append("postgresqlCode", getPostgresqlCode())
            .append("javaCode", getJavaCode())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("versionId", getVersionId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
